﻿@using System.Web.UI.WebControls;
@using Portal.Models.Globals;

<div class="rowWrap">
    <div class="selLabel01">
        @Html.DevExpress().Label(l =>
            {
                l.ControlStyle.CssClass = "label";
                l.Text = "PO Date";
                l.ControlStyle.HorizontalAlign = HorizontalAlign.Left;
                l.ControlStyle.Wrap = DefaultBoolean.False;
            }).GetHtml()
    </div>
    <div class="selDatum">
        @Html.DevExpress().DateEdit(e =>
            {
                e.Name = "PODate";
                e.Width = 95;
                e.Height = 25;

                e.Properties.EditFormatString = "dd.MM.yyyy";
                e.Properties.DisplayFormatString = "dd.MM.yyyy";
                e.Date = DateTime.Now.AddDays(-7);

                //e.Properties.ClientSideEvents.Init = "function(s,e){ s.Text(false); }";
            }).GetHtml()
    </div>
    <div class="selTo">
        to
    </div>
    <div class="selDatum">
        @Html.DevExpress().DateEdit(
            e =>
            {
                e.Name = "PODateTo";
                e.Width = 95;
                e.Height = 25;
                e.Properties.EditFormatString = "dd.MM.yyyy";
                e.Properties.DisplayFormatString = "dd.MM.yyyy";
                e.Date = DateTime.Now;
            }).GetHtml()
    </div>


    <div class="selLabel0">
        PO No
    </div>
    <div class="selent">
        @Html.DevExpress().TextBox(
    e =>
    {
        e.Properties.ClientInstanceName = "PONoText";
        e.Properties.EnableClientSideAPI = true;
        e.Name = "PONoText";
        e.Width = Unit.Percentage(100);
        e.Enabled = true;
    }).GetHtml()
    </div>

</div>

<div class="rowWrap">
     <div class="selLabel01">
        Supplier
    </div>
    <div class="selDatum">
        @Html.Common().DevExpress().GridLookup(
        s =>
        {
            s.Name = "gridSuppCode";
            s.GridProperties.KeyFieldName = "SupplierCode";
            
            s.Width = Unit.Percentage(100);
            s.GridProperties.CallbackRouteValues = new { Controller = "POApproval", Action = "SupplierPartial" };
            s.GridProperties.Width = Unit.Pixel(213);
            s.GridProperties.Height = Unit.Pixel(500);
            s.GridProperties.SettingsBehavior.AllowSelectSingleRowOnly = false;
            s.GridProperties.Columns.Add(c =>
            {
                c.Name = "SupplierCode";
                c.FieldName = "SupplierCode";
                c.Caption = "Supplier Code";
                c.Width = Unit.Pixel(90);
                c.CellStyle.HorizontalAlign = HorizontalAlign.Center;
            });
            s.GridProperties.Columns.Add(c =>
            {
                c.Name = "SupplierName";
                c.FieldName = "SupplierName";
                c.Caption = "Supplier Name";
            });
        }).Bind(ViewData["ListSupplierData"]).GetHtml()
    </div>
    <div class="selTo">&nbsp;</div>
    <div class="selDatum">&nbsp;</div>
    <div class="selLabel0"> 
        Current PIC 
    </div>
    <div class="selent">
       @Html.DevExpress().TextBox(
        e =>
        {
            e.Properties.ClientInstanceName = "CurrentPIC";
            e.Properties.EnableClientSideAPI = true;
            e.Name = "CurrentPIC";
            e.Width = Unit.Percentage(100);
            e.Enabled = true;                    
        }).GetHtml()
    </div>
</div>

<div class="buWrap">
    <div class="buleft">

        <div class="bu">
         @Html.DevExpress().Button(
            e =>
            {
                e.Text = "Release Approval";
                e.Name = "ReleaseApproval";
                e.Width = 130;
                e.ClientSideEvents.Click = "CheckValidationApprove";
            }).GetHtml()
        </div>

        <div class="bu">
           @Html.DevExpress().Button(
            e =>
            {
                e.Text = "Reject";
                e.Name = "Reject";
                e.Width = Unit.Pixel(80);
                e.ClientSideEvents.Click = "CheckValidationReject";
            }).GetHtml()
        </div>

        <div class="bu">
         @Html.DevExpress().Button(
            e =>
            {
                e.Text = "Redirect";
                e.Name = "Redirect";
                e.Width = Unit.Pixel(80);
                e.ClientSideEvents.Click = "CheckValidationRedirect";
            }).GetHtml()
        </div>

        <div class="bu">
         @Html.DevExpress().Button(
            e =>
            {
                e.Text = "Download";
                e.Name = "Download";
                e.Width = Unit.Pixel(80);
                e.ClientSideEvents.Click = "ExportToXLS";
            }).GetHtml()
        </div>

        <div class="bu">
          @Html.DevExpress().TextBox(
            e =>
            {
                e.Name = "Position";
                e.Width = 95;
                e.Height = 25;
                e.ClientVisible = false;
            }).Bind(ViewData["Position"]).GetHtml()
        </div>
    </div>
    <div class="buright">
      <div class="bu">
         @Html.DevExpress().Button(
            e =>
            {
                e.Text = "Regis PO";
                e.Name = "RegisPO";
                e.Width = Unit.Pixel(80);
                e.ClientVisible = false;
                e.ClientSideEvents.Click = "AddRegis";
            }).GetHtml()
        </div>

        <div class="bu">
         @Html.DevExpress().Button(
                e =>
                {

                    e.Name = "btnSearch";
                    e.Text = "Search";
                    e.Width = 80;
                    e.Height = 20;
                    e.UseSubmitBehavior = true;
                    e.ControlStyle.HorizontalAlign = HorizontalAlign.Center;
                    e.ClientSideEvents.Click = "SearchData";
                }

            ).GetHtml()
        </div>

        <div class="bu">
           @Html.DevExpress().Button(
                e =>
                {

                    e.Name = "btnClear";
                    e.Text = "Clear";
                    e.Width = 80;
                    e.Height = 20;
                    e.UseSubmitBehavior = true;
                    e.ControlStyle.HorizontalAlign = HorizontalAlign.Center;
                    e.ClientSideEvents.Click = "ClearItem";
                }

            ).GetHtml()
        </div>
    </div>
</div>
